/// @file parsewav_param.h
///
/// @brief wavef[^ <-> gf[^ <-> VAf[^@ϊpp[^
///
/// @author Sasaji
/// @date   2011.7.1
///
#ifndef _PARSEWAV_PARAM_H_
#define _PARSEWAV_PARAM_H_

/// _CAOpp[^
class PARSEWAV_PARAM
{
private:
	int fsk_speed;	// 0:standard(1200 and 2400Hz) 1:double speed(2400 and 4800Hz)
	int freq[3];	// 0:1200 1:2400 2:4800 (Hz)
	int range[2];	// 0:long 1:short
	int reverse;
	int baud;	///< 0:600band 1:1200band 2:2400baud 3:300baud
	int auto_baud;
	int word_select;
	int half_wave;
	int correct;
	int correct_type;
	int sample_bits;
	int sample_rate;
	int file_split;
	int del_mhead;

public:
	PARSEWAV_PARAM();
	~PARSEWAV_PARAM();

	int debug_log;

	void SetSampleRate(int value) { sample_rate = value; }
	void SetSampleBits(int value) {	sample_bits = value; }
	void SetBaud(int value)		{ baud = value; }
	void SetAutoBaud(int value) { auto_baud = value; }
	void SetReverseWave(int value) { reverse = (value ? 1 : 0); }
	void SetHalfWave(int value) { half_wave = (value ? 1 : 0); }
	void SetCorrectWave(int value) { correct = (value ? 1 : 0); }
	void SetCorrectType(int value) { correct_type = value; }
	void SetFskSpeed(int value) { fsk_speed = value; }
	void SetFreq(int num, int value) { freq[num] = value; }
	void SetRange(int num, int value) { range[num] = value; }
	void SetWordSelect(int value) { word_select = value; }
	void SetDebugMode(int value) { debug_log = value; }

	int GetSampleRate(void) { return sample_rate; }
	int GetSampleBits(void) { return sample_bits; }
	int GetBaud(void)		{ return baud; }
	int	GetAutoBaud(void)   { return auto_baud; }
	int GetReverseWave(void) { return reverse; }
	int GetHalfWave(void)	{ return half_wave; }
	int GetCorrectWave(void) { return correct; }
	int GetCorrectType(void) { return correct_type; }
	int GetFskSpeed(void) { return fsk_speed; }
	int GetFreq(int num) { return freq[num]; }
	int	GetRange(int num) { return range[num]; }
	int	GetWordSelect(void) { return word_select; }
	int GetDebugMode(void) { return debug_log; }
	int GetBaseFreq(void);
};

#endif
